RHEL 7 : .NET 6.0 (RHSA-2024:0255)

critical Nessus Plugin ID 188060

Synopsis

The remote Red Hat host is missing one or more security updates.

Description

The remote Redhat Enterprise Linux 7 host has packages installed that are affected by multiple vulnerabilities as referenced in the RHSA-2024:0255 advisory.

- dotnet: Information Disclosure: MD.SqlClient(MDS) & System.data.SQLClient (SDS) (CVE-2024-0056)

- dotnet: X509 Certificates - Validation Bypass across Azure (CVE-2024-0057)

- dotnet: .NET Denial of Service Vulnerability (CVE-2024-21319)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update the affected packages.

See Also

http://www.nessus.org/u?bfde7f0e

https://access.redhat.com/security/updates/classification/#important

https://bugzilla.redhat.com/show_bug.cgi?id=2255384

https://bugzilla.redhat.com/show_bug.cgi?id=2255386

https://bugzilla.redhat.com/show_bug.cgi?id=2257566

https://access.redhat.com/errata/RHSA-2024:0255

Plugin Details

Severity: Critical

ID: 188060

File Name: redhat-RHSA-2024-0255.nasl

Version: 1.2

Type: local

Agent: unix

Published: 1/15/2024

Updated: 4/28/2024

Supported Sensors: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent, Nessus

Risk Information

VPR

Risk Factor: High

Score: 7.1

CVSS v2

Risk Factor: Critical

Base Score: 10

Temporal Score: 7.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

CVSS Score Source: CVE-2024-0057

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:redhat:enterprise_linux:7, p-cpe:/a:redhat:enterprise_linux:rh-dotnet60-aspnetcore-runtime-6.0, p-cpe:/a:redhat:enterprise_linux:rh-dotnet60-aspnetcore-targeting-pack-6.0, p-cpe:/a:redhat:enterprise_linux:rh-dotnet60-dotnet, p-cpe:/a:redhat:enterprise_linux:rh-dotnet60-dotnet-apphost-pack-6.0, p-cpe:/a:redhat:enterprise_linux:rh-dotnet60-dotnet-host, p-cpe:/a:redhat:enterprise_linux:rh-dotnet60-dotnet-hostfxr-6.0, p-cpe:/a:redhat:enterprise_linux:rh-dotnet60-dotnet-runtime-6.0, p-cpe:/a:redhat:enterprise_linux:rh-dotnet60-dotnet-sdk-6.0, p-cpe:/a:redhat:enterprise_linux:rh-dotnet60-dotnet-sdk-6.0-source-built-artifacts, p-cpe:/a:redhat:enterprise_linux:rh-dotnet60-dotnet-targeting-pack-6.0, p-cpe:/a:redhat:enterprise_linux:rh-dotnet60-dotnet-templates-6.0, p-cpe:/a:redhat:enterprise_linux:rh-dotnet60-netstandard-targeting-pack-2.1

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 1/15/2024

Vulnerability Publication Date: 1/9/2024

Reference Information

CVE: CVE-2024-0056, CVE-2024-0057, CVE-2024-21319

CWE: 295, 400, 420

RHSA: 2024:0255